<?php

include_once '.autoload.php';

header('Content-Type: application/json; charset=utf-8');

$response = array();

if (empty($_REQUEST)) {
    $response = array('status' => 'FAIL', 'reason' => _('Запрос не может быть пустым'));
} elseif (empty($_REQUEST['action'])) {
    $response = array('status' => 'FAIL', 'reason' => _('Не задан обязательный параметр запроса ') . 'action');
} else {
    $app = new Axioma\Server\App();
    $data = isset($_REQUEST['data']) ? $_REQUEST['data'] : null;
    if ($_REQUEST['action'] != 'ping') {
        if (empty($data)) {
            $response = array('status' => 'FAIL', 'reason' => _('Не задан обязательный параметр запроса ') . 'data');
            echo json_encode($response);
            return;
        }
        $all_data = Axioma\Utils::getClientIPInfo();
        $all_data[] = $data;
        $data = implode($all_data);
    }
    $response = $app->apiRequest($_REQUEST['action'], $data);
}

echo json_encode($response);
